import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import Point from 'ol/geom/Point';
import VectorLayer from 'ol/layer/Vector';
import Map from 'ol/Map';
import VectorSource from 'ol/source/Vector';
import { Observable, Subscription } from 'rxjs';
import { CursorMode } from '../../../interfaces/cursor-mode';
import * as fromMangol from './../../../store/mangol.reducers';
export declare class CursorComponent implements OnInit, OnDestroy {
    private store;
    map$: Observable<Map>;
    mode: CursorMode;
    layer: VectorLayer<VectorSource<Point>>;
    combinedSubscription: Subscription;
    modeSubscription: Subscription;
    layerSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setStyle;
    private onMouseMove;
}
