import { OnDestroy, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import LineString from 'ol/geom/LineString';
import Point from 'ol/geom/Point';
import Polygon from 'ol/geom/Polygon';
import Draw from 'ol/interaction/Draw';
import VectorLayer from 'ol/layer/Vector';
import Map from 'ol/Map';
import VectorSource from 'ol/source/Vector';
import { Observable, Subscription } from 'rxjs';
import * as fromMangol from '../../../../store/mangol.reducers';
import { MeasureMode } from '../../../../store/measure/measure.reducers';
import { MeasureService } from '../../measure.service';
import { MeasureDictionary } from './../../../../store/measure/measure.reducers';
export declare class MeasureResultsComponent implements OnInit, OnDestroy {
    private store;
    private measureService;
    dictionary: MeasureDictionary;
    map$: Observable<Map>;
    layer$: Observable<VectorLayer<VectorSource<Point | LineString | Polygon>>>;
    measureMode$: Observable<MeasureMode>;
    cursorText$: Observable<string>;
    combinedSubscription: Subscription;
    draw: Draw;
    initialText: string;
    displayValue: string;
    constructor(store: Store<fromMangol.MangolState>, measureService: MeasureService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _activateDraw;
    private _deactivateDraw;
}
