import Feature from 'ol/Feature';
import LineString from 'ol/geom/LineString';
import Point from 'ol/geom/Point';
import Polygon from 'ol/geom/Polygon';
import VectorLayer from 'ol/layer/Vector';
import VectorSource from 'ol/source/Vector';
import { MangolLayer } from './../../classes/Layer';
import * as FeatureinfoActions from './featureinfo.actions';
export interface FeatureinfoDictionary {
    clearSelection?: string;
    chooseLayer?: string;
    clickOnMap?: string;
    noLayers?: string;
    numberOfFeaturesFound?: string;
    closeSnackbar?: string;
    zoomToFeature?: string;
    showAllResults?: string;
    feature?: string;
    exportToCsv?: string;
}
export interface State {
    hasFeatureinfo: boolean;
    disabled: boolean;
    title: string;
    maxFeatures: number;
    layers: MangolLayer[];
    selectedLayer: MangolLayer;
    resultsLayer: VectorLayer<VectorSource<LineString | Polygon | Point>>;
    resultsItems: Feature<LineString | Polygon | Point>[];
    snackbarDuration: number;
    hoverColor: [number, number, number];
    dictionary: FeatureinfoDictionary;
}
export declare function featureinfoReducer(state: State, action: FeatureinfoActions.FeatureinfoActions): State;
